.main_menu>ul>li,
.mega_menu_dropdown,
nav {
    position: relative
}

*,
nav {
    padding: 0
}

.inline-menu,
.logo a,
.mega_menu,
.right-menu .menu-section {
    display: flex
}

.main_menu ul li ul,
.mega_menu {
    background: #ffffff;
    transition: opacity .15s ease;
}

.brand-grid .megamenu-list,
.brand-grid ul:nth-child(2),
.brand-grid ul:nth-child(4) {
    border-right: 0px solid #222 !important
}

* {
    margin: 0;
    box-sizing: border-box;
    outline: 0
}

a {
    text-decoration: none
}

ol,
ul {
    list-style-type: none
}

.main-menu,
.mega_menu_item img {
    width: 100%
}

.sticky {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;
    background: #fff;
}
.active-menu {
    position: relative;
}
.active-menu:before {
    content: "";
    position: absolute;
    background: #000000;
    width: 100%;
    height: 1px;
    bottom: 2px;
    margin-top: 0;
    opacity: 1;
    visibility: visible;
}
.inline-menu {
    justify-content: space-between;
    align-items: center;
    width: 100%
}

.main_menu>ul>li {
    display: inline-block;
    margin: 0 -2px
}

.main_menu ul li a {
    padding: 22px 0;
    display: block;
    font-family: "apparat", sans-serif;
    position: relative;
    text-transform: capitalize;
    margin: 0 15px;
    font-style: normal;
    color: var(--black-color);
}

.main_menu ul li .active,
.main_menu ul li:hover>a {
    color: var(--black-color);
}

.hover-line:before {
    content: "";
    position: absolute;
    background: transparent;
    width: 100%;
    height: 2px;
    margin-top: 30px;
    opacity: 0;
    visibility: hidden;
}
.hover-line:hover:before {
    opacity: 1;
    visibility: visible
}

.hover-line.active:before {
    content: "";
    position: absolute;
    background: #000000;
    width: 100%;
    height: 2px;
    margin-top: 30px;
    opacity: 1 !important;
    visibility: visible !important;
}
.hover-line.active:hover:before {
    opacity: 1;
    visibility: visible
}

.main_menu ul li ul {
    width: 280px;
}

.main_menu ul li ul li a {
    padding: 0;
    color: #000000;
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.main_menu ul li .mega_menu_item a:hover,
.main_menu ul li ul li:hover a {
    color: #000000;
}
.menu-setting {
    display: flex;
    align-items: center;
    gap: 20px;
}
nav {
    background: #ffffff;
}

.inline-menu .container, .inline-menu .container-fluid {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.inline-menu .mega_menu.sub_menu .container, .inline-menu .mega_menu.sub_menu .container-fluid {
    padding: 0 20px;
    align-items: flex-start;
}

.menu-section {
    padding: 0;
    display: flex;
    align-items: center;
    top: -5px;
}

.logo img {
    width: auto;
    height: 45px;
}

.inline-header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 0
}

.logo {
    display: flex;
    justify-content: center;
    align-items: center
}

header {
    z-index: 999;
    width: 100%;
    left: 0
}

.sticky {
    position: relative;
    top: 0;
    width: 100%;
    z-index: 999;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 1%), 0 2px 4px -2px rgb(0 0 0 / 4%)
}
.main_menu ul li ul li a .menu-img {
    margin-right: 15px;
    width: 18px
}

.main_menu ul li ul li a .menu-arrow {
    position: absolute;
    right: 20px;
    opacity: 0;
    visibility: hidden
}

.main_menu ul li .sub_menu li a:hover .menu-arrow {
    opacity: 1;
    visibility: visible
}

.main_menu ul li .sub_menu li a:hover {
    background: transparent;
    color: var(--primary-color);
}

.main_menu ul li ul li a i {
    float: right
}

.main_menu ul li ul li ul {
    left: 100%;
    top: 0
}

.mega_menu {
    left: 0;
    right: 0;
    padding: 0 30px;
    flex-wrap: wrap;
    border-top: 1px solid #ffffff;
}

.mega_menu_item {
    padding: 20px 0;
}
.mega_menu_item.col-2 {
    width: 50%;
}
.mega_menu_item.col-3 {
    width: 33.33%;
}
.mega_menu_item.col-4 {
    width: 25%;
}
.mega_menu_item.col-5 {
    width: 20%;
}

.main_menu ul li .mega_menu_item a {
    padding: 0;
    line-height: 20px;
    text-transform: uppercase;
    font-family: "apparat-light", sans-serif;
    font-size: 10px;
    margin-left: 0;
    margin-right: 0;
    letter-spacing: 0;
    width: fit-content;
}

.mega-menu-head {
    font-size: 14px;
    text-transform: uppercase;
    line-height: 20px;
    font-weight: 600;
    margin-bottom: 0;
    font-family: "apparat", sans-serif;
}

.head-link {
    margin-bottom: 5px
}

.mega_menu_demo_2 .mega_menu {
    left: 50%;
    transform: translateX(-50%);
    width: 1140px
}

.mobile-logo,
.mobile_btn {
    display: none
}

.mega_menu_dropdown.has_dropdown .arrow-icon {
    position: absolute;
    right: 0;
    top: 20px;
    display: block;
    color: #fff
}

.has_dropdown .sub_menu .arrow-icon {
    position: absolute;
    top: 10px;
    display: block;
    right: 20px
}

.has_dropdown .arrow-icon {
    position: absolute;
    display: block;
    right: 0;
    top: 20px;
    color: #fff
}

.menu-section {
    padding: 0
}

.right-menu {
    display: flex;
    gap: 10px;
    align-items: center
}

.mega-menu-product a {
    font-size: 14px;
    text-transform: uppercase !important;
    line-height: 20px;
    font-weight: 600;
    letter-spacing: 0 !important;
    margin: 0 0 5px 0 !important;
    padding: 0 !important;
}
.mega-menu-product {
    padding-top: 20px;
}
.menu-card-section {
    width: 65%;
    gap: 15px;
    display: grid;
    grid-template-columns: repeat(4, minmax(0px, 1fr));
    padding: 20px 0;
}
.menu-card-section a {
    width: 100% !important;
    padding: 0 !important;
    line-height: 20px;
    text-transform: uppercase;
    font-family: "apparat", sans-serif;
    font-size: 14px;
    margin-left: 0 !important;
    margin-right: 0 !important;
    letter-spacing: 0;
}
.menu-card-section a img {
    width: 100%;
    height: 120px;
    object-fit: cover;
}
.menu-card-heading {
    letter-spacing: 0;
    text-transform: uppercase;
    font-size: 12px;
    margin-top: 10px;
}

@media (min-width:992px) {
    .main_menu ul li ul {
        visibility: hidden;
        opacity: 0;
        padding-left: 0;
        position: absolute;
    }

    .main_menu ul li .mega_menu {
        visibility: hidden;
        opacity: 0;
        position: absolute;
        top: 100%;
        left: 0;
    }

    .main_menu ul li:hover>.mega_menu,
    .main_menu ul li:hover>ul {
        visibility: visible;
        opacity: 1;
        z-index: 99;
    }
}

@media (max-width:991px) {

    .inline-menu .container,
    .inline-menu .container-fluid {
        align-items: flex-start;
        flex-direction: column
    }

    .inline-menu .container .container,
    .inline-menu .container-fluid .container-fluid {
        flex-direction: row;
        flex-wrap: wrap
    }

    .mega_menu.sub_menu.brand-grid {
        padding: 0 !important
    }
    .menu-setting {
        display: initial;
        width: 100%
    }
    .main_menu ul li a {
        margin: 0
    }
    .inline-menu .container-fluid .container-fluid {
        padding: 0 !important;
    }
    .main_menu ul li .mega_menu {
        padding-top: 10px;
        padding: 0;
        padding-left: 0 !important;
    }
    .main_menu ul li .mega_menu_item a {
        line-height: 24px;
        font-size: 14px;
    }
    .menu-section {
        align-items: center;
        flex-direction: column;
        width: 100%;
        height: auto;
        padding-top: 10px;
        overflow-y: scroll
    }
    .right-menu {
        align-items: flex-start;
        flex-direction: column;
        display: none
    }
    .right-menu .menu-section {
        flex-direction: column;
        width: 100%
    }
    .mega-menu-product {
        padding-top: 0;
    }
    .menu-card-section {
        width: 100%;
        gap: 15px;
        padding: 0;
        grid-template-columns: repeat(2, minmax(0px, 1fr));
    }
    .mega-menu-product a {
        font-size: 16px !important;
        text-transform: uppercase !important;
        line-height: 10px !important;
        letter-spacing: 0 !important;
        margin: 10px 0 20px 0 !important;
        width: 100% !important;
    }
    .menu-card-section a {
        padding: 0 0 5px 0 !important;
    }
    nav {
        padding: 10px 0;
        background: #fff
    }
    .mega-menu-head {
        font-size: 16px;
        text-transform: uppercase;
        line-height: 20px;
        font-weight: 600;
        margin-bottom: 5px;
    }

    .mega_menu_item.col-2 {
        width: 100%;
    }
    .mega_menu_item.col-3 {
        width: 100%;
    }
    .mega_menu_item.col-4 {
        width: 100%;
    }
    .mega_menu_item.col-5 {
        width: 100%;
    }

    .main_menu .menu-section:last-child li:last-child,
    .main_menu ul li {
        border-bottom: 0 solid #222
    }

    .has_dropdown .arrow-icon,
    .mega_menu_dropdown.has_dropdown .arrow-icon {
        color: #000;
        top: 10px;
        right: 0
    }

    .logo img {
        width: 45% !important;
        height: auto !important;
        margin-top: 7px
    }

    .has_dropdown .arrow-icon,
    .main-menu {
        display: block
    }

    .logo,
    .menu-section li a.active:before,
    .menu-section li a:before {
        display: none
    }

    .has_dropdown .arrow-icon {
        position: absolute;
        display: block;
        width: 15%;
        text-align: right
    }

    .mobile-logo {
        display: block;
        padding-left: 15px
    }

    .mobile_btn {
        cursor: pointer;
        display: block;
        position: absolute;
        right: 15px;
        top: 20px;
        font-size: 26px;
        color: #000
    }

    .inline-menu {
        padding-left: 0
    }

    .main_menu {
        display: none;
        width: 100%
    }

    .main_menu ul li {
        display: block;
        width: 100%;
        position: relative;
    }

    .main_menu ul li a i {
        float: right
    }

    .main_menu ul li a {
        padding: 10px 0;
        width: 85%;
        color: #000;
        font-size: 18px
    }
    .main_menu ul li .active, .main_menu ul li:hover>a {
        color: var(--primary-color);
    }
    .main_menu ul li .mega_menu_item a:hover {
        color: #000 !important
    }

    .main_menu ul li ul {
        width: 100%;
        box-shadow: 0 0 #000;
        padding: 0 !important;
        background: #fff
    }

    .main_menu ul li ul li ul {
        left: 0;
        top: auto
    }

    .mega_menu_item {
        width: 100%;
        padding: 5px 0
    }

    .right-menu .menu-section li:last-child {
        border: 0
    }

    .main_menu ul li .mega_menu,
    .main_menu ul li ul {
        display: none;
        transition: none
    }

    .mega_menu_demo_2 .mega_menu {
        transform: translateX(0);
        width: 100%
    }

    .sub_menu li:first-child a {
        margin-left: 0 !important;
        margin-top: 10px;
    }

    .main_menu ul li ul li a {
        font-size: 16px;
        color: #000000;
    }
    .inline-menu {
        width: 100%;
    }
    .has_dropdown .sub_menu .arrow-icon {
        position: absolute;
        top: 10px;
        display: block;
        right: 0
    }

    .main_menu ul li .sub_menu li a:hover {
        background: 0 0;
        color: #000;
    }

    .mobile-logo img {
        width: 150px
    }

    .fa-xl {
        font-size: 1.2em !important
    }
}

.menu-section li:first-child a {
    margin-left: 0
}

.sub_menu li:first-child a {
    margin-left: 15px;
    margin-top: 10px;
}

.megamenu-lists {
    width: 100%;
    display: table
}

.list-col-4 {
    width: 25%
}

.brand-grid .megamenu-list {
    border-bottom: 0 solid #222;
    border-top: 0;
    border-left: 0;
    margin: 0 !important
}

.inline-menu .container .container {
    display: flex;
    align-items: flex-start;
    width: 100%;
    justify-content: flex-start;
}
